\version "2.19.0"

\include "bartok-pc-3-1.ly"
\include "bartok-pc-3-2.ly"
\include "bartok-pc-3-3.ly"

\include "bartok-pc-3-paged-title.ly"


\header {
    instrument = "Timpani & Batteria"
}

\paper {
    indent = #22
    short-indent = #12
    ragged-last-bottom = ##f
}


breaksI = <<
\mvtItimeline
{
    % \time 3/4
    s2.*32 |
    \barNumberCheck # 33
    % \time 2/4
    s2*1 |
    \barNumberCheck # 34
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 39
    % \time 4/4
    s1 |
    \barNumberCheck # 40
    % \time 3/4
    s2.*15 |
    \barNumberCheck # 55
    \noBreak
    s2.*34 |
    \barNumberCheck # 89
    % \time 2/4
    s2*4 |
    \barNumberCheck # 93
    % \time 3/4
    s2. |
    \barNumberCheck # 94
    % \time 2/4
    s2*2 |
    \barNumberCheck # 96
    % \time 3/4
    s2.*57 |
    \barNumberCheck # 153
    % \time 2/4
    s2 |
    \barNumberCheck # 154
    % \time 3/4
    s2.*34 |
    \barNumberCheck # 188
    % \bar "|."
}
>>

cuesI = <<
\mvtItimeline
{
    \override TextScript.font-size = #0
    % \time 3/4
    s2.*19 |
    \barNumberCheck # 20
    \cueDuringWithClef mvtIflI #UP "treble" { <>^"2 Flauti" s2.*5 | }
    \barNumberCheck # 25
    s2. |
    <>^\markup\center-align{(Timp.)}
    s2.*7 |
    \barNumberCheck # 33
    % \time 2/4
    s2*1 |
    \barNumberCheck # 34
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 39
    % \time 4/4
    s1 |
    \barNumberCheck # 40
    % \time 3/4
    s2.*8 |
    \barNumberCheck # 48
    \cueDuringWithClef mvtIclI #DOWN "treble" { <>^"Clarinetto 1" s2.*6 | }
    \barNumberCheck # 54
    s2.*12 |
    \barNumberCheck # 66
    \cueDuringWithClef mvtIclI #DOWN "treble" { <>^"Clarinetto 1" s2.*4 | }
    \barNumberCheck # 70
    s2. |
    <>^\markup\center-align{(Timp.)}
    s2.*18 |
    \barNumberCheck # 89
    % \time 2/4
    s2*4 |
    \barNumberCheck # 93
    % \time 3/4
    s2. |
    \barNumberCheck # 94
    % \time 2/4
    s2*2 |
    \barNumberCheck # 96
    % \time 3/4
    s2.*6 |
    \barNumberCheck # 102
    \cueDuringWithClef mvtIclI #UP "treble" { <>^"Clarinetto 1" s2.*6 | }
    \barNumberCheck # 108
    s2. |
    <>^\markup\center-align{(Timp.)}
    s2.*26 |
    \barNumberCheck # 135
    \cueDuring mvtIhrnII #DOWN { <>^"Corno 2" s2.*2 | }
    <>^\markup\center-align{(Timp.)}
    s2.*16 |
    \barNumberCheck # 153
    % \time 2/4
    s2 |
    \barNumberCheck # 154
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 158
    \cueDuringWithClef mvtIflIdown #UP "treble" { <>^"Fl.,Ob.,Cl." s2.*2 | }
    \cueDuringWithClef mvtIobI #UP "treble" { s2.*2 | }
    \barNumberCheck # 162
    s2.*26 |
    \barNumberCheck # 188
    % \bar "|."
}
>>

\markup\bold\abs-fontsize #14 { Strumenti: }
\markup\bold\abs-fontsize #12 \column{
    \override #'( padding . 4 )
    \table #'( -1 -1 -1 -1 ) {
        "Timpani" " " " " " "
        "Batteria:" "Xilofono" "Triangolo" "Tamburo piccolo"
        " " "Piatti" "Gran Cassa" "Tam-Tam"
    }
    "(2 essecutori)"
    \vspace #2.0
}

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtItempi

        \new Staff \with {
            instrumentName = "Timpani"
            shortInstrumentName = "Timp."
        } <<
            \mvtItimp
            \cuesI
            \breaksI
        >>
        \new StaffGroup \with {
        } <<
            \new RhythmicStaff \with {
                instrumentName = "Triangolo"
                shortInstrumentName = "Trgl."
                \RemoveEmptyStaves
            } <<
                \mvtItriang
            >>
            \new RhythmicStaff \with {
                instrumentName = \markup\center-column{"Tamburo" "piccolo"}
                shortInstrumentName = "Tamb.p."
                \RemoveEmptyStaves
            } <<
                \mvtItambPicc
            >>
        >>
    >>

    \header {
        piece = \mvtIpiece
        % breakbefore = ##t
    }
    \layout {
    }
}


breaksII = <<
\mvtIItimeline
{
    % \time 4/4
    s1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*25 |
    \barNumberCheck # 56
    % \time 3/2
    s1. |
    % \time 4/4
    s1 |
    \barNumberCheck # 58
    s1*6 |
    \barNumberCheck # 64
    % \time 3/4
    s2.*8 |
    \barNumberCheck # 72
    % \time 4/4
    s1*5 |
    \barNumberCheck # 77
    % time 3/4
    s2. |
    \barNumberCheck # 78
    % \time 4/4
    s1*11 |
    \barNumberCheck # 89
    s1*34 ||
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    % \time 4/4
    s1\noBreak |
    s1*5 |
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    \barNumberCheck # 138
}
>>

cuesII = <<
\mvtIItimeline
{
    \override TextScript.font-size = #0
    % \time 4/4
    s1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*25 |
    \barNumberCheck # 56
    % \time 3/2
    s1. |
    % \time 4/4
    s1 |
    \barNumberCheck # 58
    s1*6 |
    \barNumberCheck # 64
    % \time 3/4
    \cueDuring mvtIIclI #UP { <>^"Clarinetto 1" s2.*6 | }
    s2.*2 |
    \barNumberCheck # 72
    % \time 4/4
    <>^\markup\center-align{(Xylo.)}
    s1*5 |
    \barNumberCheck # 77
    % time 3/4
    s2. |
    \barNumberCheck # 78
    % \time 4/4
    s1*11 |
    \barNumberCheck # 89
    s1*34 ||
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    % \time 4/4
    \cueDuring mvtIIclI #UP { <>^"Fl.,Ob.,Cl." s1*2 | }
    s1*4 |
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    \barNumberCheck # 138
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtIItempi

        \new Staff \with {
            instrumentName = "Xylofono"
            shortInstrumentName = "Xylo."
        } <<
            \mvtIIxylo
            \cuesII
            \breaksII
        >>

        \new StaffGroup \with {
        } <<
            \new RhythmicStaff \with {
                instrumentName = "Tam-tam"
                shortInstrumentName = "Tam-t."
                \RemoveEmptyStaves
            } <<
                \mvtIItamtam
            >>
        >>
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
    \layout {
    }
}


breaksIII = <<
\mvtIIItimeline
{
    % \time 3/8
    \barNumberCheck # 138
    s4.*78
    \barNumberCheck # 216
    \repeat unfold 5 { s4.\noBreak | }
    \barNumberCheck # 221
    s4.*101
    \barNumberCheck # 322
    % \pageTurn
    s4.*43
    \barNumberCheck # 365
    \pageTurn
    s4.*24
    \barNumberCheck # 389
    \noBreak
    s4.*26
    \barNumberCheck # 415
    \noBreak
    s4.*12
    \barNumberCheck # 427
    % \time 2/4
    s2*46 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*171 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*77 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}
>>

cuesIII = <<
\mvtIIItimeline
{
    \override TextScript.font-size = #0
    % \time 3/8
    \barNumberCheck # 138
    \cueDuring mvtIIIpiRH #UP { <>^\markup{Pianoforte} s4. | s8. }
    \cueDuringWithClef mvtIIIpiRH #UP "treble" { s8. | s4. <>) | }
    \barNumberCheck # 141
    <>^\markup\center-align{(Timp.)}
    s4.*41
    \barNumberCheck # 182
    \cueDuringWithClef mvtIIIclI #DOWN "treble" { <>^"Clarinetto 1" s4.*10 | }
    <>^\markup\center-align{(Timp.)}
    s4.*130
    \barNumberCheck # 322
    \cueDuringWithClef mvtIIIvlnI #DOWN "treble" { <>^"Violino 1" s4.*11 | }
    \barNumberCheck # 333
    <>^\markup\center-align{(Timp.)}
    s4.*94
    \barNumberCheck # 427
    % \time 2/4
    s2*8 |
    \barNumberCheck # 435
    \cueDuring mvtIIIhrnI #UP { <>^"Corno 1,3" s2*9 | }
    \barNumberCheck # 444
    <>^\markup\center-align{(Timp.)}
    s2*29 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*46 |
    \barNumberCheck # 519
    \cueDuringWithClef mvtIIIflI #DOWN "treble" { <>^"Fl.,Cl." s4.*4 | }
    \cueDuringWithClef mvtIIIflI #UP "treble" { s4.*4 | }
    \barNumberCheck # 527
    <>^\markup\center-align{(Timp.)}
    s4.*117 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*29 |
    \barNumberCheck # 673
    \cueDuringWithClef mvtIIIflI #UP "treble" { <>^"Flauto 1" s2.*17 | }
    \barNumberCheck # 690
    s2.*15 |
    \barNumberCheck # 705
    \cueDuringWithClef mvtIIIhrnI #UP "treble" { <>^"Corno 1" s2.*8 | }
    <>^\markup\center-align{(Timp.)}
    s2.*8 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtIIItempi

        \new Staff \with {
            instrumentName = "Timpani"
            shortInstrumentName = "Timp."
        } <<
            \mvtIIItimp
            \cuesIII
            \breaksIII
        >>

        \new StaffGroup \with {
            \RemoveEmptyStaves
        } <<
            \new RhythmicStaff \with {
                instrumentName = \markup\center-column{"Gran" "Cassa"}
                shortInstrumentName = "Gr.C."
                % \RemoveEmptyStaves
            } <<
                \mvtIIIgranCassa
            >>
            \new RhythmicStaff \with {
                instrumentName = "Piatti"
                shortInstrumentName = "Piatti"
                % \RemoveEmptyStaves
            } <<
                \mvtIIIpiatti
            >>
        >>
    >>

    \header {
        piece = \mvtIIIpiece
        breakbefore = ##t
    }
    \layout {
    }
}
